<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getSkillNames](./bitburner.bladeburner.getskillnames.md)

## Bladeburner.getSkillNames() method

List all skills.

**Signature:**

```typescript
getSkillNames(): BladeburnerSkillName[];
```
**Returns:**

[BladeburnerSkillName](./bitburner.bladeburnerskillname.md)<!-- -->\[\]

Array of strings containing the names of all general Bladeburner skills.

## Remarks

RAM cost: 0 GB

Returns an array of strings containing the names of all general Bladeburner skills.

